#ifndef LIBSARIA_PATH_H
#define LIBSARIA_PATH_H

#include <libsaria/track.h>

#include <string>
#include <list>
using namespace std;

#include <sys/types.h>

struct file
{
	string name;
	sid_t  d_sid;
};

string get_saria_dir();
void make_saria_dir();
bool exists(string);
sid_t lookup_songid(string &);
string open_pipe(string);
void close_pipes();

#endif /* LIBSARIA_PATH_H */
