// Copyright Bryan Schumaker 2012

#include "library.h"

static list<libsaria::LibraryPath>::iterator it;

namespace libsaria
{
	namespace library
	{

		void pathiter::reset()
		{
			it = path_list.begin();
		}

		libsaria::LibraryPath *pathiter::next()
		{
			libsaria::LibraryPath *path = &(*it);
			it++;
			return path;
		}

		bool pathiter::end()
		{
			return it == path_list.end();
		}

	} /* Namespace: library */
}; /* Namespace: libsaria */
