
#include <libsaria/libpath.h>
#include "../library.h"

namespace libsaria
{
	void LibraryPath::load_file(InFile &in)
	{
		unsigned int size;
		libsaria::Track *track;

		in >> path;
		in >> size;
		println("Library path dir: " + path);
		println("Library path size: %d", size);

		for (unsigned int i = 0; i < size; i++) {
			track = new libsaria::Track(in);
			file_list.push_back(track);
		}
	}

	void LibraryPath::save(OutFile &out)
	{
		list<libsaria::Track *>::iterator it;

		out << path << file_list.size() << "\n";
		for (it = file_list.begin(); it != file_list.end(); it++)
			(*it)->save(out);
	}

}; /* Namespace: libsaria */
