
#include <ocarina/header.h>
#include <ocarina/button.h>
#include <ocarina/shortcut.h>
#include "header.h"

GtkWidget *get_header()
{
	GtkWidget *header = gtk_vbox_new(FALSE, 0);
	GtkWidget *sep = gtk_hseparator_new();
	GtkWidget *content = gtk_hbox_new(FALSE, 0);

	box_pack_start(content, get_entry(),          TRUE,  TRUE,  0);
	box_pack_start(content, make_open_button(),   FALSE, FALSE, 0);
	box_pack_start(content, make_random_button(), FALSE, FALSE, 0);
	box_pack_start(content, make_volume_button(), FALSE, FALSE, 0);

	box_pack_start(header, content, FALSE, FALSE, 0);
	box_pack_start(header, sep,     FALSE, FALSE, 0);

	gtk_widget_show_all(header);

	return header;
}

void header_init()
{
	register_shortcut("slash", focus_entry);
}
