
#include <libsaria/library.h>
#include <libsaria/queue.h>
#include "queue.h"

static list<sid_t>::iterator it;

namespace libsaria
{
	namespace queue
	{

		void iter::reset()
		{
			it = playqueue.begin();
		}

		libsaria::Track *iter::next()
		{
			Track *track = library::get_info(*it);
			it++;
			return track;
		}

		bool iter::end()
		{
			return it == playqueue.end();
		}

	}; /* Namespace: queue */
} /* Namespace: libsaria */
