
#include <ocarina/footer.h>
#include "footer.h"

GtkWidget *get_footer()
{
	GtkWidget *footer  = gtk_vbox_new(FALSE, 0);
	GtkWidget *sep     = gtk_hseparator_new();
	GtkWidget *content = gtk_hbox_new(FALSE, 5);

	box_pack_start(footer, sep,            FALSE, FALSE, 0);
	box_pack_start(footer, get_progress(), FALSE, FALSE, 0);
	box_pack_start(footer, content,        FALSE, FALSE, 0);

	/*
	 * The pause button begins life hidden, so show everything up until
	 * this point, and then add the controls
	 */
	gtk_widget_show_all(footer);

	box_pack_start(content, get_nowplaying(), TRUE,  TRUE,  0);
	box_pack_start(content, get_controls(),   FALSE, FALSE, 0);

	return footer;
}

void change_footer(libsaria::Track *track)
{
	set_now_playing(track);
}

void footer_init()
{
	controls_init();
	progress_init();
	nowplaying_init();
}
